USE mfdb;
-- DROP TABLE fund_indicator_dolphin
CREATE TABLE `fund_indicator_dolphin` (
  `fund_id` varchar(10) NOT NULL COMMENT '基金id',
  `end_date` varchar(7) NOT NULL COMMENT '截至日期',
  `info_ratio_6m` decimal(22,6) DEFAULT NULL,
  `m2_6m` decimal(22,6) DEFAULT NULL,
  `tracking_error_6m` decimal(22,6) DEFAULT NULL,
  `info_ratio_1y` decimal(22,6) DEFAULT NULL,
  `m2_1y` decimal(22,6) DEFAULT NULL,
  `tracking_error_1y` decimal(22,6) DEFAULT NULL,
  `info_ratio_2y` decimal(22,6) DEFAULT NULL,
  `m2_2y` decimal(22,6) DEFAULT NULL,
  `tracking_error_2y` decimal(22,6) DEFAULT NULL,
  `var_2y` decimal(22,6) DEFAULT NULL,
  `cvar_2y` decimal(22,6) DEFAULT NULL,
  `info_ratio_3y` decimal(22,6) DEFAULT NULL,
  `m2_3y` decimal(22,6) DEFAULT NULL,
  `tracking_error_3y` decimal(22,6) DEFAULT NULL,
  `var_3y` decimal(22,6) DEFAULT NULL,
  `cvar_3y` decimal(22,6) DEFAULT NULL,
  `info_ratio_4y` decimal(22,6) DEFAULT NULL,
  `m2_4y` decimal(22,6) DEFAULT NULL,
  `tracking_error_4y` decimal(22,6) DEFAULT NULL,
  `var_4y` decimal(22,6) DEFAULT NULL,
  `cvar_4y` decimal(22,6) DEFAULT NULL,
  `info_ratio_5y` decimal(22,6) DEFAULT NULL,
  `m2_5y` decimal(22,6) DEFAULT NULL,
  `tracking_error_5y` decimal(22,6) DEFAULT NULL,
  `var_5y` decimal(22,6) DEFAULT NULL,
  `cvar_5y` decimal(22,6) DEFAULT NULL,
  `info_ratio_10y` decimal(22,6) DEFAULT NULL,
  `m2_10y` decimal(22,6) DEFAULT NULL,
  `tracking_error_10y` decimal(22,6) DEFAULT NULL,
  `var_10y` decimal(22,6) DEFAULT NULL,
  `cvar_10y` decimal(22,6) DEFAULT NULL,
  `info_ratio_ytd` decimal(22,6) DEFAULT NULL,
  `m2_ytd` decimal(22,6) DEFAULT NULL,
  `tracking_error_ytd` decimal(22,6) DEFAULT NULL,
  `info_ratio_incep` decimal(22,6) DEFAULT NULL,
  `m2_incep` decimal(22,6) DEFAULT NULL,
  `tracking_error_incep` decimal(22,6) DEFAULT NULL,
  `var_incep` decimal(22,6) DEFAULT NULL,
  `cvar_incep` decimal(22,6) DEFAULT NULL,
  `creatorid` int DEFAULT NULL COMMENT '创建者Id,默认第一次创建者名称，创建后不变更',
  `createtime` datetime DEFAULT NULL COMMENT '创建时间,默认第一次创建的getdate()时间',
  `updaterid` int DEFAULT NULL COMMENT '修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同',
  `updatetime` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同',
  `isvalid` tinyint NOT NULL DEFAULT '1' COMMENT '记录的有效性；1-有效；0-无效；',

  PRIMARY KEY (`fund_id`,`end_date`),
  KEY (`end_date`),
  KEY (`updatetime`)
) COMMENT='DolphinDB写回的基金历史杂项指标表'
